summaryrefslogtreecommitdiff
path: root/git-rebase.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2008-07-16 17:12:09 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2008-07-16 17:12:09 -0700
commit5324a6339acfabdb27c9ef410525eb6b82d05002 (patch)
treea16abac3422a6b3d410793f2694d461d4e82e2c1 /git-rebase.sh
parentMerge branch 'sp/maint-index-pack' (diff)
parentgit-rebase: report checkout failure (diff)
downloadtgif-5324a6339acfabdb27c9ef410525eb6b82d05002.tar.xz
Merge branch 'rs/rebase-checkout-not-so-quiet'
* rs/rebase-checkout-not-so-quiet: git-rebase: report checkout failure Conflicts: git-rebase.sh
Diffstat (limited to 'git-rebase.sh')
-rwxr-xr-xgit-rebase.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/git-rebase.sh b/git-rebase.sh
index 56cf6f0316..6ef5754814 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -376,8 +376,7 @@ fi
# Detach HEAD and reset the tree
echo "First, rewinding head to replay your work on top of it..."
-git checkout "$onto^0" >/dev/null 2>&1 ||
- die "could not detach HEAD"
+git checkout -q "$onto^0" || die "could not detach HEAD"
git update-ref ORIG_HEAD $branch
# If the $onto is a proper descendant of the tip of the branch, then